// Copyright (C) 2025 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only

#ifndef QOHOSAPPBUNDLEINFO_H
#define QOHOSAPPBUNDLEINFO_H

#include <QtOhosExtras/qtohosextrasglobal.h>

QT_BEGIN_NAMESPACE

namespace QtOhosExtras {

class Q_OHOS_EXTRAS_EXPORT QOhosBundleInfo
{
public:
    virtual ~QOhosBundleInfo();

    virtual int versionCode() const = 0;

protected:
    QOhosBundleInfo();
};

}

QT_END_NAMESPACE

#endif
